# -*- coding: utf-8 -*-
"""langchain_chat.ipynb

Automatically generated by Colab.

Original file is located at
    https://colab.research.google.com/drive/1SQQB4iiNYdAOsNVd9mp_3MIeCkZPRaPA

## Text generation with LangChain

Before running this notebook, click on the key on the left and add a secret named OPENAI_API_KEY, fill the value field with your OpenAI API key and activate access from the notebook.
"""

!pip install openai
!pip install langchain
!pip install langchain_community

from openai import OpenAI
from langchain.chat_models import ChatOpenAI
from langchain.prompts import ChatPromptTemplate

# Put your OpenAI key below
# %env OPENAI_API_KEY=

from google.colab import userdata
openai_api_key = userdata.get('OPENAI_API_KEY')

model = ChatOpenAI(openai_api_key=openai_api_key)
prompt = ChatPromptTemplate.from_template("tell me a joke about {foo}")
chain = prompt | model

print(chain.invoke({"foo": "bears"}).content)